#include "triangles.h"
#include <bits/stdc++.h>
using namespace std;
std::vector<std::vector<int>> solve(int n){
    int res0 = compare(vector<Triangle> {Triangle(1, 2, 3)}, vector<Triangle> {Triangle(0, 1, 3), Triangle(0, 2, 3)});
    if (res0 ==1){
        return {{1, 2, 3}};
    }

    int res1 = compare(vector<Triangle> {Triangle(0, 2, 3)}, vector<Triangle> {Triangle(0, 1, 3), Triangle(0, 1, 2)});
    if (res1 ==1){
        return {{0, 2, 3}};
    }

    int res2 = compare(vector<Triangle> {Triangle(0, 1, 3)}, vector<Triangle> {Triangle(1, 2, 3), Triangle(0, 2, 3)});
    if (res2 ==1){
        return {{0, 1, 3}};
    }
    int res3 = compare(vector<Triangle> {Triangle(0, 1, 2)}, vector<Triangle> {Triangle(1, 2, 3), Triangle(0, 2, 3)});

    if (res3 ==1){
        return {{0, 1, 2}};
    }
    int res01 = compare(vector<Triangle> {Triangle(0, 1, 2), Triangle(0, 1, 3)}, vector<Triangle> {Triangle(0, 2, 3), Triangle(1, 2, 3)});
    if (res01 <= 0){
        return {{0, 1, 2}, {0, 1, 3}};
    }
    int res02 = compare(vector<Triangle> {Triangle(0, 1, 2), Triangle(0, 2, 3)}, vector<Triangle> {Triangle(0, 1, 3), Triangle(1, 2, 3)});
    if (res02 <= 0){
        return {{0, 1, 2}, {0, 2, 3}};
    }
    int res03 = compare(vector<Triangle> {Triangle(0, 1, 3), Triangle(0, 2, 3)}, vector<Triangle> {Triangle(0, 1, 2), Triangle(1, 2, 3)});
    if (res03 <= 0){
        return {{0, 1, 3}, {0, 2, 3}};
    }
    int res12 = compare(vector<Triangle> {Triangle(1, 2, 3), Triangle(0, 1, 2)}, vector<Triangle> {Triangle(0, 1, 3), Triangle(0, 2, 3)});
    if (res12 == 0){
        return {{0, 1, 2}, {1, 2, 3}};
    }
    int res13 = compare(vector<Triangle> {Triangle(0, 1, 3), Triangle(1, 2, 3)}, vector<Triangle> {Triangle(0, 1, 2), Triangle(0, 2, 3)});
    if (res13 == 0){
        return {{0, 1, 3}, {1, 2, 3}};
    }
    int res23 = compare(vector<Triangle> {Triangle(0, 2, 3), Triangle(1, 2, 3)}, vector<Triangle> {Triangle(0, 1, 2), Triangle(0, 1, 3)});
    if (res23 == 0){
        return {{0, 2, 3}, {1, 2, 3}};
    }
}
